View Issue Details

IDProjectCategoryLast Update
0021035AI War 2[All Projects] Bug - GameplayJul 8, 2019 10:49 am
Reporterx4000BughunterAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.850 The Arrival of Fleets 
Fixed in Version0.874 Basic Fleet Management 
Summary0021035: Bug: ships are sitting inside the armored golem.
DescriptionWhy isn't the decollision logic kicking in for that?
TagsNo tags attached.

Relationships

related to 0019443 assignedx4000Bughunter Poor collision detection for Golems 
related to 0021318 feedbackx4000Bughunter To Fix: AI ships (and possibly your own ships) pushing around fleet leaders. (Help wanted) 
related to 0021240 resolvedx4000Bughunter Decollision planning weirdness 

Activities

x4000Bughunter

Jul 8, 2019 10:49 am

administrator   ~0052074

Thanks!

* Fixed a bug that was letting small ships sit inside large ones. Mainly affecting things like Golems and Arks having other ships sitting inside them.
** The current fix is untested but should probably work.

Issue History

Date Modified Username Field Change
Apr 18, 2019 12:20 pm x4000Bughunter New Issue
Apr 18, 2019 12:20 pm x4000Bughunter Status new => assigned
Apr 18, 2019 12:20 pm x4000Bughunter Assigned To => x4000Bughunter
Apr 18, 2019 12:20 pm x4000Bughunter Relationship added child of 0021022
Apr 18, 2019 12:58 pm BadgerBadger Relationship added related to 0019443
Jun 4, 2019 11:07 am x4000Bughunter Relationship deleted child of 0021022
Jul 8, 2019 10:47 am x4000Bughunter Relationship added related to 0021318
Jul 8, 2019 10:48 am x4000Bughunter Relationship added related to 0021240
Jul 8, 2019 10:49 am x4000Bughunter Status assigned => resolved
Jul 8, 2019 10:49 am x4000Bughunter Resolution open => fixed
Jul 8, 2019 10:49 am x4000Bughunter Fixed in Version => 0.874 Basic Fleet Management
Jul 8, 2019 10:49 am x4000Bughunter Note Added: 0052074